Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a new player with gamer tags.
cURL
curl --request POST \ --url https://api.squadvault.xyz/v1/players \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "organizationId": "org_example", "name": "Alex Morgan" } '
const options = { method: 'POST', headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({organizationId: 'org_example', name: 'Alex Morgan'}) }; fetch('https://api.squadvault.xyz/v1/players', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.squadvault.xyz/v1/players" payload = { "organizationId": "org_example", "name": "Alex Morgan" } headers = { "x-api-key": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
201
Example
Organization API key from Settings → API keys.
Show child attributes
cs
valorant
overwatch
fortnite
minecraft
rocket-league
league
other
ISO 3166-1 alpha-2 country code (lowercase). United Kingdom is uk.
uk
"de"
Discord snowflake (17–20 digits)
Created player
Was this page helpful?